// @flow

import React from 'react'
import { ThemeProvider } from 'react-css-themr'
import Template from 'components/Template'
import Icon from 'components/Icon'
import Adapter from 'components/realestate/Adapter'
import theme from './theme.yml'

import {
  navItems,
  footer,
  copyright,
  sections,
} from './data.yml'

const Home = () => (
  <ThemeProvider theme={theme}>
    <Template
      theme={theme}
      items={navItems}
      footer={{
        ...footer,
        items: navItems,
      }}
      copyright={copyright}
    >
      <div
        className="fixed bg-green br-100 pa2 w3 h3 z-9999 flex items-center justify-center animated infinite jello"
        style={{
          bottom: 20,
          right: 20,
        }}
      >
        <Icon name="fa-phone" className="f3 white" />
      </div>
      <div className="pt5">
        {sections.map(data => (
          <Adapter key={data.type} data={data} />
        ))}
      </div>
    </Template>
  </ThemeProvider>
)

export default Home
