// @flow

import React from 'react'
import { Element } from 'react-scroll'
import Section from 'components/Section'
import LabelValue from 'components/LabelValue'

const Payment = ({ data }: {
  data: any,
}) => {
  const { element, title, subtitle, items } = data
  const section = (
    <Section
      className="w-100 bg-near-white"
      title={title}
      subtitle={subtitle}
      theme={{
        body: 'flex flex-wrap mt3 mt3-ns w-90-ns center',
      }}
    >
      {items.map(({ label, value }) => (
        <LabelValue
          key={value}
          label={label}
          value={value}
          theme={{
            root: 'w-100 w-50-ns flex items-center',
            label: 'w3 f6 fw6 -blue',
          }}
        />
      ))}
    </Section>
  )

  if (!element) return section

  return (
    <Element name={element}>
      {section}
    </Element>
  )
}

export default Payment
