// @flow

import React from 'react'
import { Element } from 'react-scroll'
import Section from 'components/Section'
import LabelValue from 'components/LabelValue'

const Pricing = ({ data }: {
  data: any,
}) => {
  const { element, title, subtitle, pricing, bankSupport } = data
  const section = (
    <Section
      title={title}
      subtitle={subtitle}
      className="w-100 white -bg-blue"
      theme={{
        title: 'alfa-slab-one black f2-m f1-l tc f2',
        body: 'flex flex-wrap mw8 center',
      }}
    >
      <div className="w-100 w-50-ns">
        <h3>{pricing.title}</h3>
        {pricing.items.map(({ icon, value }) => (
          <LabelValue
            key={value}
            icon={icon}
            value={value}
            theme={{
              root: 'bn flex items-center',
              label: 'white w2 tr flex-none',
            }}
          />
        ))}
      </div>
      <div className="w-100 w-50-ns ph2-ns">
        <h3>{bankSupport.title}</h3>
        {bankSupport.items.map(({ icon, label, value }) => (
          <LabelValue
            key={value}
            icon={icon}
            label={label}
            value={value}
            theme={{
              root: 'ba b--light-gray mb1',
              label: 'pa1 f6 fw6 white flex-none',
              value: 'pl2',
            }}
          />
        ))}
      </div>
    </Section>
  )

  if (!element) return section

  return (
    <Element name={element}>
      {section}
    </Element>
  )
}

export default Pricing
