'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactScroll = require('react-scroll');

var _Section = require('../Section');

var _Section2 = _interopRequireDefault(_Section);

var _LabelValue = require('../LabelValue');

var _LabelValue2 = _interopRequireDefault(_LabelValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Payment = function Payment(_ref) {
  var data = _ref.data;
  var element = data.element,
      title = data.title,
      subtitle = data.subtitle,
      items = data.items;

  var section = _react2.default.createElement(
    _Section2.default,
    {
      className: 'w-100 bg-near-white',
      title: title,
      subtitle: subtitle,
      theme: {
        body: 'flex flex-wrap mt3 mt3-ns w-90-ns center'
      }
    },
    items.map(function (_ref2) {
      var label = _ref2.label,
          value = _ref2.value;
      return _react2.default.createElement(_LabelValue2.default, {
        key: value,
        label: label,
        value: value,
        theme: {
          root: 'w-100 w-50-ns flex items-center',
          label: 'w3 f6 fw6 -blue'
        }
      });
    })
  );

  if (!element) return section;

  return _react2.default.createElement(
    _reactScroll.Element,
    { name: element },
    section
  );
};

exports.default = Payment;