'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactScroll = require('react-scroll');

var _Section = require('../Section');

var _Section2 = _interopRequireDefault(_Section);

var _LabelValue = require('../LabelValue');

var _LabelValue2 = _interopRequireDefault(_LabelValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Pricing = function Pricing(_ref) {
  var data = _ref.data;
  var element = data.element,
      title = data.title,
      subtitle = data.subtitle,
      pricing = data.pricing,
      bankSupport = data.bankSupport;

  var section = _react2.default.createElement(
    _Section2.default,
    {
      title: title,
      subtitle: subtitle,
      className: 'w-100 white -bg-blue',
      theme: {
        title: 'alfa-slab-one black f2-m f1-l tc f2',
        body: 'flex flex-wrap mw8 center'
      }
    },
    _react2.default.createElement(
      'div',
      { className: 'w-100 w-50-ns' },
      _react2.default.createElement(
        'h3',
        null,
        pricing.title
      ),
      pricing.items.map(function (_ref2) {
        var icon = _ref2.icon,
            value = _ref2.value;
        return _react2.default.createElement(_LabelValue2.default, {
          key: value,
          icon: icon,
          value: value,
          theme: {
            root: 'bn flex items-center',
            label: 'white w2 tr flex-none'
          }
        });
      })
    ),
    _react2.default.createElement(
      'div',
      { className: 'w-100 w-50-ns ph2-ns' },
      _react2.default.createElement(
        'h3',
        null,
        bankSupport.title
      ),
      bankSupport.items.map(function (_ref3) {
        var icon = _ref3.icon,
            label = _ref3.label,
            value = _ref3.value;
        return _react2.default.createElement(_LabelValue2.default, {
          key: value,
          icon: icon,
          label: label,
          value: value,
          theme: {
            root: 'ba b--light-gray mb1',
            label: 'pa1 f6 fw6 white flex-none',
            value: 'pl2'
          }
        });
      })
    )
  );

  if (!element) return section;

  return _react2.default.createElement(
    _reactScroll.Element,
    { name: element },
    section
  );
};

exports.default = Pricing;